"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _element = require("@wordpress/element");
var _components = require("@wordpress/components");
var _icons = require("@wordpress/icons");
var _ = require("../");
require("./style.scss");
var _classnames = _interopRequireDefault(require("classnames"));
var _jsxRuntime = require("@emotion/react/jsx-runtime");
/**
 * Action Card
 */

/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

/**
 * External dependencies
 */

class ActionCard extends _element.Component {
  constructor() {
    super(...arguments);
    (0, _defineProperty2.default)(this, "state", {
      expanded: false
    });
  }
  /**
   * When the collapse prop is updated to true, collapse the card if already expanded.
   */
  componentDidUpdate(prevProps) {
    if (!prevProps.collapse && this.props.collapse && this.state.expanded) {
      this.setState({
        expanded: false
      });
    }
  }

  /**
   * Render.
   */
  render() {
    const {
      badge,
      className,
      checkbox,
      children,
      disabled,
      title,
      description,
      handoff,
      editLink,
      href,
      notification,
      notificationLevel,
      notificationHTML,
      actionContent,
      actionText,
      secondaryActionText,
      secondaryDestructive,
      image,
      imageLink,
      indent,
      isSmall,
      isMedium,
      simple,
      onClick,
      onSecondaryActionClick,
      isWaiting,
      titleLink,
      toggleChecked,
      toggleOnChange,
      hasGreyHeader,
      hasWhiteHeader,
      isPending,
      expandable = false
    } = this.props;
    const {
      expanded
    } = this.state;
    const hasChildren = notification || children;
    const classes = (0, _classnames.default)('newspack-action-card', simple && 'newspack-card--is-clickable', hasGreyHeader && 'newspack-card--has-grey-header', hasWhiteHeader && 'newspack-card--has-white-header', hasChildren && 'newspack-card--has-children', indent && 'newspack-card--indent', isSmall && 'is-small', isMedium && 'is-medium', checkbox && 'has-checkbox', expandable && 'is-expandable', actionContent && 'has-action-content', className);
    const backgroundImageStyles = url => {
      return url ? {
        backgroundImage: `url(${url})`
      } : {};
    };
    const titleProps = toggleOnChange && !titleLink && !disabled ? {
      onClick: () => toggleOnChange(!toggleChecked),
      tabIndex: '0'
    } : {};
    const hasInternalLink = href && href.indexOf('http') !== 0;
    const isDisplayingSecondaryAction = secondaryActionText && onSecondaryActionClick;
    const badges = !Array.isArray(badge) && badge ? [badge] : badge;
    return (0, _jsxRuntime.jsxs)(_.Card, {
      className: classes,
      onClick: simple && onClick,
      children: [(0, _jsxRuntime.jsxs)("div", {
        className: "newspack-action-card__region newspack-action-card__region-top",
        children: [toggleOnChange && (0, _jsxRuntime.jsx)(_components.ToggleControl, {
          checked: toggleChecked,
          onChange: toggleOnChange,
          disabled: disabled
        }), image && !toggleOnChange && (0, _jsxRuntime.jsx)("div", {
          className: "newspack-action-card__region newspack-action-card__region-left",
          children: (0, _jsxRuntime.jsx)("a", {
            href: imageLink,
            children: (0, _jsxRuntime.jsx)("div", {
              className: "newspack-action-card__image",
              style: backgroundImageStyles(image)
            })
          })
        }), checkbox && !toggleOnChange && (0, _jsxRuntime.jsx)("div", {
          className: "newspack-action-card__region newspack-action-card__region-left",
          children: (0, _jsxRuntime.jsx)("span", {
            className: (0, _classnames.default)('newspack-checkbox-icon', 'is-primary', 'checked' === checkbox && 'newspack-checkbox-icon--checked', isPending && 'newspack-checkbox-icon--pending'),
            children: 'checked' === checkbox && (0, _jsxRuntime.jsx)(_icons.Icon, {
              icon: _icons.check
            })
          })
        }), (0, _jsxRuntime.jsx)("div", {
          className: "newspack-action-card__region newspack-action-card__region-center",
          children: (0, _jsxRuntime.jsxs)(_.Grid, {
            columns: 1,
            gutter: 8,
            noMargin: true,
            children: [(0, _jsxRuntime.jsxs)("h2", {
              children: [(0, _jsxRuntime.jsxs)("span", {
                className: "newspack-action-card__title",
                ...titleProps,
                children: [titleLink && (0, _jsxRuntime.jsx)("a", {
                  href: titleLink,
                  children: title
                }), !titleLink && expandable && (0, _jsxRuntime.jsx)(_.Button, {
                  isLink: true,
                  onClick: () => this.setState({
                    expanded: !expanded
                  }),
                  children: title
                }), !titleLink && !expandable && title]
              }), badges?.length && badges.map((badgeText, i) => (0, _jsxRuntime.jsx)("span", {
                className: "newspack-action-card__badge",
                children: badgeText
              }, `badge-${i}`))]
            }), description && (0, _jsxRuntime.jsxs)("p", {
              children: [typeof description === 'string' && description, typeof description === 'function' && description()]
            })]
          })
        }), !expandable && (actionText || isDisplayingSecondaryAction || actionContent) && (0, _jsxRuntime.jsxs)("div", {
          className: "newspack-action-card__region newspack-action-card__region-right",
          children: [actionContent && actionContent, actionText && (handoff ? (0, _jsxRuntime.jsx)(_.Handoff, {
            plugin: handoff,
            editLink: editLink,
            compact: true,
            isLink: true,
            children: actionText
          }) : onClick || hasInternalLink ? (0, _jsxRuntime.jsx)(_.Button, {
            disabled: disabled,
            isLink: true,
            href: href,
            onClick: onClick,
            className: "newspack-action-card__primary_button",
            children: actionText
          }) : href ? (0, _jsxRuntime.jsx)(_components.ExternalLink, {
            href: href,
            className: "newspack-action-card__primary_button",
            children: actionText
          }) : (0, _jsxRuntime.jsxs)("div", {
            className: "newspack-action-card__container",
            children: [actionText, isWaiting && (0, _jsxRuntime.jsx)(_.Waiting, {
              isRight: true
            })]
          })), isDisplayingSecondaryAction && (0, _jsxRuntime.jsx)(_.Button, {
            isLink: true,
            onClick: onSecondaryActionClick,
            className: "newspack-action-card__secondary_button",
            isDestructive: secondaryDestructive,
            children: secondaryActionText
          })]
        }), expandable && (0, _jsxRuntime.jsx)(_.Button, {
          onClick: () => this.setState({
            expanded: !expanded
          }),
          children: (0, _jsxRuntime.jsx)(_icons.Icon, {
            icon: expanded ? _icons.chevronUp : _icons.chevronDown,
            height: 24,
            width: 24
          })
        })]
      }), notification && (0, _jsxRuntime.jsxs)("div", {
        className: "newspack-action-card__notification newspack-action-card__region-children",
        children: ['error' === notificationLevel && (0, _jsxRuntime.jsx)(_.Notice, {
          noticeText: notification,
          isError: true,
          rawHTML: notificationHTML
        }), 'info' === notificationLevel && (0, _jsxRuntime.jsx)(_.Notice, {
          noticeText: notification,
          rawHTML: notificationHTML
        }), 'success' === notificationLevel && (0, _jsxRuntime.jsx)(_.Notice, {
          noticeText: notification,
          isSuccess: true,
          rawHTML: notificationHTML
        }), 'warning' === notificationLevel && (0, _jsxRuntime.jsx)(_.Notice, {
          noticeText: notification,
          isWarning: true,
          rawHTML: notificationHTML
        })]
      }), children && (expandable && expanded || !expandable) && (0, _jsxRuntime.jsx)("div", {
        className: "newspack-action-card__region-children",
        children: children
      })]
    });
  }
}
ActionCard.defaultProps = {
  toggleChecked: false
};
var _default = ActionCard;
exports.default = _default;