"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _element = require("@wordpress/element");
var _icons = require("@wordpress/icons");
var _ = require("../");
require("./style.scss");
var _classnames = _interopRequireDefault(require("classnames"));
var _jsxRuntime = require("@emotion/react/jsx-runtime");
/**
 * Button Card
 */

/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

/**
 * External dependencies
 */

class ButtonCard extends _element.Component {
  /**
   * Render
   */
  render() {
    const {
      chevron,
      className,
      desc,
      grouped,
      icon,
      isDestructive,
      isPressed,
      isSmall,
      title,
      ...otherProps
    } = this.props;
    const classes = (0, _classnames.default)('newspack-button-card', className, chevron && 'has-chevron', grouped && 'grouped', icon && 'has-icon', isDestructive && 'is-destructive', isPressed && 'is-pressed', isSmall && 'is-small');
    return (0, _jsxRuntime.jsxs)("a", {
      className: classes,
      ...otherProps,
      children: [icon && (0, _jsxRuntime.jsx)(_icons.Icon, {
        icon: icon,
        height: 48,
        width: 48
      }), (0, _jsxRuntime.jsxs)(_.Grid, {
        noMargin: true,
        columns: 1,
        gutter: 8,
        children: [title && (0, _jsxRuntime.jsx)("h3", {
          children: title
        }), desc && (0, _jsxRuntime.jsx)("p", {
          children: desc
        })]
      }), chevron && (0, _jsxRuntime.jsx)(_icons.Icon, {
        icon: _icons.chevronRight,
        height: 24,
        width: 24
      })]
    });
  }
}
var _default = ButtonCard;
exports.default = _default;