"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _components = require("@wordpress/components");
var _element = require("@wordpress/element");
var _router = _interopRequireDefault(require("../proxied-imports/router"));
require("./style.scss");
var _jsxRuntime = require("@emotion/react/jsx-runtime");
/**
 * Button
 */

/**
 * WordPress dependencies.
 */

/**
 * Internal dependencies
 */

const {
  useHistory
} = _router.default;
const Button = _ref => {
  let {
    href,
    onClick,
    ...otherProps
  } = _ref;
  const history = useHistory();
  const [isAwaitingOnClick, setIsAwaitingOnClick] = (0, _element.useState)(false);

  // If both onClick and href are present, await the onClick action an then redirect.
  if (href && onClick) {
    otherProps.onClick = async () => {
      setIsAwaitingOnClick(true);
      await onClick();
      setIsAwaitingOnClick(false);
      history.push(href.replace('#', ''));
    };
  } else {
    otherProps.href = href;
    otherProps.onClick = onClick;
  }
  if (isAwaitingOnClick) {
    otherProps.disabled = true;
  }
  return (0, _jsxRuntime.jsx)(_components.Button, {
    ...otherProps
  });
};
var _default = Button;
exports.default = _default;