"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _components = require("@wordpress/components");
var _element = require("@wordpress/element");
var _classnames = _interopRequireDefault(require("classnames"));
var _colord = require("colord");
var _a11y = _interopRequireDefault(require("colord/plugins/a11y"));
var _hooks = _interopRequireDefault(require("../hooks"));
var _utils = _interopRequireDefault(require("../utils"));
require("./style.scss");
var _jsxRuntime = require("@emotion/react/jsx-runtime");
/**
 * WordPress dependencies.
 */

/**
 * External dependencies.
 */

/**
 * Internal dependencies.
 */

(0, _colord.extend)([_a11y.default]);
const {
  InteractiveDiv
} = _utils.default;
const ColorPicker = _ref => {
  let {
    label,
    color = '#fff',
    onChange,
    className
  } = _ref;
  const [isExpanded, setIsExpanded] = (0, _element.useState)(false);
  const ref = (0, _element.useRef)();
  const colordColor = (0, _colord.colord)(color);
  _hooks.default.useOnClickOutside(ref, () => setIsExpanded(false));
  return (0, _jsxRuntime.jsxs)("div", {
    className: (0, _classnames.default)('newspack-color-picker', className),
    children: [(0, _jsxRuntime.jsx)("div", {
      className: "newspack-color-picker__label",
      children: label
    }), (0, _jsxRuntime.jsx)(InteractiveDiv, {
      className: 'newspack-color-picker__expander',
      onClick: () => setIsExpanded(!isExpanded),
      style: {
        backgroundColor: color,
        color: colordColor.contrast() > colordColor.contrast('#000') ? '#fff' : '#000'
      },
      children: color
    }), (0, _jsxRuntime.jsx)("div", {
      className: "newspack-color-picker__main",
      ref: ref,
      children: isExpanded && (0, _jsxRuntime.jsx)(_components.ColorPicker, {
        color: color,
        onChange: hex => onChange(hex),
        enableAlpha: false
      })
    })]
  });
};
var _default = ColorPicker;
exports.default = _default;