"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _i18n = require("@wordpress/i18n");
var _components = require("@wordpress/components");
var _ = require("../");
require("./style.scss");
var _jsxRuntime = require("@emotion/react/jsx-runtime");
/**
 * Footer
 */
/**
 * WordPress dependencies.
 */
const __ = _i18n.__;
/**
 * Internal dependencies.
 */
const Footer = _ref => {
  let {
    simple
  } = _ref;
  const {
    components_demo: componentsDemo = false,
    support = false,
    setup_wizard: setupWizard = false,
    reset_url: resetUrl = false,
    plugin_version: pluginVersion = {
      label: 'Newspack'
    },
    remove_starter_content: removeStarterContent = false,
    support_email: supportEmail
  } = window.newspack_urls || {};
  const footerElements = [{
    label: pluginVersion.label,
    url: 'https://newspack.com/category/release-notes/',
    external: true
  }, {
    label: __('About', 'newspack'),
    url: 'https://newspack.com/',
    external: true
  }, {
    label: __('Documentation', 'newspack'),
    url: support,
    external: true
  }];
  if (componentsDemo) {
    footerElements.push({
      label: __('Components Demo', 'newspack'),
      url: componentsDemo
    });
  }
  if (setupWizard) {
    footerElements.push({
      label: __('Setup Wizard', 'newspack'),
      url: setupWizard
    });
  }
  if (resetUrl) {
    footerElements.push({
      label: __('Reset Newspack', 'newspack'),
      url: resetUrl
    });
  }
  if (removeStarterContent) {
    footerElements.push({
      label: __('Remove Starter Content', 'newspack'),
      url: removeStarterContent
    });
  }
  if (supportEmail) {
    footerElements.push({
      label: __('Contact Support', 'newspack'),
      url: `mailto:${supportEmail}`
    });
  }
  return (0, _jsxRuntime.jsxs)("div", {
    className: "newspack-footer",
    children: [!simple && (0, _jsxRuntime.jsx)("div", {
      className: "newspack-footer__inner",
      children: (0, _jsxRuntime.jsx)("ul", {
        children: footerElements.map((_ref2, index) => {
          let {
            url,
            label,
            external
          } = _ref2;
          return (0, _jsxRuntime.jsx)("li", {
            children: external ? (0, _jsxRuntime.jsx)(_components.ExternalLink, {
              href: url,
              children: label
            }) : (0, _jsxRuntime.jsx)("a", {
              href: url,
              children: label
            })
          }, index);
        })
      })
    }), (0, _jsxRuntime.jsx)("div", {
      className: "newspack-footer__logo",
      children: (0, _jsxRuntime.jsx)(_.PatronsLogo, {})
    })]
  });
};
var _default = Footer;
exports.default = _default;