"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = HandoffMessage;
var _element = require("@wordpress/element");
var _consts = require("../consts");
var _ = require("../");
var _jsxRuntime = require("@emotion/react/jsx-runtime");
/**
 * WordPress dependencies.
 */

/**
 * Internal dependencies.
 */

/**
 * Handoff Message Component.
 */function HandoffMessage() {
  const [handoffMessage, setHandoffMessage] = (0, _element.useState)(false);
  (0, _element.useEffect)(() => {
    // Slight delay to allow for localStorage to be updated by RAS component.
    setTimeout(() => {
      const handoff = JSON.parse(localStorage.getItem(_consts.HANDOFF_KEY));
      if (handoff?.message) {
        setHandoffMessage(handoff.message);
      } else {
        setHandoffMessage(false);
      }

      // Clean up the notification if navigating away from the relevant page.
      if (handoff?.url && -1 === window.location.href.indexOf(handoff.url)) {
        window.localStorage.removeItem(_consts.HANDOFF_KEY);
        setHandoffMessage(false);
      }
    }, 100);

    // Clean up the notification when unmounting.
    return () => window.localStorage.removeItem(_consts.HANDOFF_KEY);
  }, []);
  if (!handoffMessage) return null;
  return (0, _jsxRuntime.jsx)(_.Notice, {
    isHandoff: true,
    isDismissible: false,
    rawHTML: true,
    noticeText: handoffMessage
  });
}