"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _apiFetch = _interopRequireDefault(require("@wordpress/api-fetch"));
var _element = require("@wordpress/element");
var _i18n = require("@wordpress/i18n");
var _ = require("../");
var _assign = _interopRequireDefault(require("lodash/assign"));
var _classnames = _interopRequireDefault(require("classnames"));
var _jsxRuntime = require("@emotion/react/jsx-runtime");
/**
 * Handoff
 */
/**
 * WordPress dependencies.
 */
/**
 * Internal dependencies.
 */
const __ = _i18n.__;
/**
 * External dependencies.
 */
class Handoff extends _element.Component {
  constructor() {
    super(...arguments);
    (0, _defineProperty2.default)(this, "componentDidMount", () => {
      this._isMounted = true;
      const {
        plugin
      } = this.props;
      this.retrievePluginInfo(plugin);
    });
    (0, _defineProperty2.default)(this, "componentWillUnmount", () => {
      this._isMounted = false;
    });
    (0, _defineProperty2.default)(this, "retrievePluginInfo", plugin => {
      const {
        onReady
      } = this.props;
      (0, _apiFetch.default)({
        path: '/newspack/v1/plugins/' + plugin
      }).then(pluginInfo => {
        if (this._isMounted) {
          onReady(pluginInfo);
          this.setState({
            pluginInfo
          });
        }
      });
    });
    (0, _defineProperty2.default)(this, "textForPlugin", pluginInfo => {
      const defaults = {
        modalBody: null,
        modalTitle: pluginInfo.Name && `${__('Manage', 'newspack')} ${pluginInfo.Name}`,
        primaryButton: pluginInfo.Name && `${__('Manage', 'newspack')} ${pluginInfo.Name}`,
        primaryModalButton: __('Manage', 'newspack'),
        dismissModalButton: __('Dismiss', 'newspack')
      };
      return (0, _assign.default)(defaults, this.props);
    });
    (0, _defineProperty2.default)(this, "goToPlugin", plugin => {
      const {
        editLink,
        showOnBlockEditor
      } = this.props;
      (0, _apiFetch.default)({
        path: '/newspack/v1/plugins/' + plugin + '/handoff',
        method: 'POST',
        data: {
          editLink,
          handoffReturnUrl: window && window.location.href,
          showOnBlockEditor: showOnBlockEditor ? true : false
        }
      }).then(response => {
        window.location.href = response.HandoffLink;
      });
    });
    this.state = {
      pluginInfo: [],
      showModal: false
    };
  }
  /**
   * Render.
   */
  render() {
    const {
      className,
      children,
      compact,
      useModal,
      // eslint-disable-next-line no-unused-vars,@typescript-eslint/no-unused-vars
      modalTitle: _modalTitle,
      // eslint-disable-next-line no-unused-vars,@typescript-eslint/no-unused-vars
      modalBody: _modalBody,
      // eslint-disable-next-line no-unused-vars,@typescript-eslint/no-unused-vars
      onReady,
      // eslint-disable-next-line no-unused-vars,@typescript-eslint/no-unused-vars
      editLink,
      ...otherProps
    } = this.props;
    const {
      pluginInfo,
      showModal
    } = this.state;
    const {
      modalBody,
      modalTitle,
      primaryButton,
      primaryModalButton,
      dismissModalButton
    } = this.textForPlugin(pluginInfo);
    const {
      Configured,
      Name,
      Slug,
      Status
    } = pluginInfo;
    const classes = (0, _classnames.default)(Configured && 'is-configured', className);
    return (0, _jsxRuntime.jsxs)(_element.Fragment, {
      children: [Name && 'active' === Status && (0, _jsxRuntime.jsx)(_.Button, {
        className: classes,
        isSecondary: !otherProps.isPrimary && !otherProps.isTertiary && !otherProps.isLink,
        ...otherProps,
        onClick: () => useModal ? this.setState({
          showModal: true
        }) : this.goToPlugin(Slug),
        children: children ? children : primaryButton
      }), Name && 'active' !== Status && (0, _jsxRuntime.jsx)(_.Button, {
        className: classes,
        variant: "secondary",
        disabled: true,
        ...otherProps,
        children: Name + __(' not installed', 'newspack')
      }), !Name && (0, _jsxRuntime.jsx)(_.Button, {
        className: classes,
        isSecondary: !otherProps.isPrimary && !otherProps.isTertiary && !otherProps.isLink,
        ...otherProps,
        children: (0, _jsxRuntime.jsxs)(_element.Fragment, {
          children: [!compact && (0, _jsxRuntime.jsx)(_.Waiting, {
            isLeft: true
          }), __('Retrieving Plugin Info', 'newspack')]
        })
      }), showModal && (0, _jsxRuntime.jsxs)(_.Modal, {
        title: modalTitle,
        onRequestClose: () => this.setState({
          showModal: false
        }),
        children: [(0, _jsxRuntime.jsx)("p", {
          children: modalBody
        }), (0, _jsxRuntime.jsxs)(_.Card, {
          buttonsCard: true,
          noBorder: true,
          className: "justify-end",
          children: [(0, _jsxRuntime.jsx)(_.Button, {
            variant: "secondary",
            onClick: () => this.setState({
              showModal: false
            }),
            children: dismissModalButton
          }), (0, _jsxRuntime.jsx)(_.Button, {
            variant: "primary",
            onClick: () => this.goToPlugin(Slug),
            children: primaryModalButton
          })]
        })]
      })]
    });
  }
}
Handoff.defaultProps = {
  onReady: () => {}
};
var _default = Handoff;
exports.default = _default;