"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _element = require("@wordpress/element");
var _isArray = _interopRequireDefault(require("lodash/isArray"));
var _mergeWith = _interopRequireDefault(require("lodash/mergeWith"));
/**
 * WordPress dependencies
 */

const mergeCustomizer = (objValue, srcValue) => {
  if ((0, _isArray.default)(objValue)) {
    // If it's an array, replace it (instead of concatenating).
    return srcValue;
  }
};

/**
 * A useState for an object.
 * Nested objects will be nested, but arrays replaced.
 */
var _default = function _default() {
  let initial = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  const [stateObject, setStateObject] = (0, _element.useState)(initial);
  const runUpdate = update => setStateObject(_stateObject => (0, _mergeWith.default)({}, _stateObject, update, mergeCustomizer));
  const updateStateObject = keyOrUpdate => {
    if (typeof keyOrUpdate === 'string') {
      return value => runUpdate({
        [keyOrUpdate]: value
      });
    }
    runUpdate(keyOrUpdate);
  };
  return [stateObject, updateStateObject];
};
exports.default = _default;