"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _element = require("@wordpress/element");
var _router = _interopRequireDefault(require("../proxied-imports/router"));
// https://gist.github.com/sibelius/60a4e11da1f826b8d60dc3975a1ac805

/**
 * External dependencies.
 */

/**
 * Internal dependencies.
 */

const {
  useHistory
} = _router.default;
var _default = (when, message) => {
  const history = useHistory();
  const self = (0, _element.useRef)(null);
  const onWindowOrTabClose = event => {
    if (!when) {
      return;
    }
    if (typeof event === 'undefined') {
      event = window.event;
    }
    if (event) {
      event.returnValue = message;
    }
    return message;
  };
  (0, _element.useEffect)(() => {
    if (when) {
      self.current = history.block(message);
      window.addEventListener('beforeunload', onWindowOrTabClose);
    }
    return () => {
      if (self.current) {
        self.current();
      }
      window.removeEventListener('beforeunload', onWindowOrTabClose);
    };
  }, [message, when]);
  return self.current;
};
exports.default = _default;