"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _element = require("@wordpress/element");
var _i18n = require("@wordpress/i18n");
var _ = require("../");
require("./style.scss");
var _classnames = _interopRequireDefault(require("classnames"));
var _jsxRuntime = require("@emotion/react/jsx-runtime");
/**
 * Image Upload
 */
/**
 * WordPress dependencies.
 */
/**
 * Internal dependencies.
 */
const __ = _i18n.__;
/**
 * External dependencies.
 */
class ImageUpload extends _element.Component {
  /**
   * Constructor.
   */
  constructor() {
    super(...arguments);
    /**
     * Open the WP media modal.
     */
    (0, _defineProperty2.default)(this, "openModal", () => {
      if (this.state.frame) {
        this.state.frame.open();
        return;
      }
      this.setState({
        frame: wp.media({
          title: __('Select or upload image'),
          button: {
            text: __('Select')
          },
          library: {
            type: 'image'
          },
          multiple: false
        })
      }, () => {
        this.state.frame.on('select', this.handleImageSelect);
        this.state.frame.open();
      });
    });
    /**
     * Update the state when an image is selected from the media modal.
     */
    (0, _defineProperty2.default)(this, "handleImageSelect", () => {
      const {
        onChange
      } = this.props;
      const attachment = this.state.frame.state().get('selection').first().toJSON();
      onChange(attachment);
    });
    /**
     * Render.
     */
    (0, _defineProperty2.default)(this, "render", () => {
      const {
        buttonLabel,
        className,
        disabled,
        help,
        image,
        info,
        isCovering,
        label,
        onChange,
        style = {}
      } = this.props;
      const classes = (0, _classnames.default)('newspack-image-upload__image', {
        'newspack-image-upload__image--has-image': image
      }, {
        'newspack-image-upload__image--covering': isCovering
      });
      return (0, _jsxRuntime.jsxs)("div", {
        className: (0, _classnames.default)('newspack-image-upload', className),
        children: [(0, _jsxRuntime.jsxs)("div", {
          className: "newspack-image-upload__header",
          children: [label && (0, _jsxRuntime.jsx)("label", {
            className: "newspack-image-upload__label",
            children: label
          }), info && (0, _jsxRuntime.jsx)(_.InfoButton, {
            text: info
          })]
        }), (0, _jsxRuntime.jsx)("div", {
          className: classes,
          style: {
            ...style
          },
          children: image?.url ? (0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
            children: [(0, _jsxRuntime.jsx)("img", {
              "data-testid": "image-upload",
              src: image.url,
              alt: __('Image preview', 'newspack')
            }), (0, _jsxRuntime.jsxs)("div", {
              className: "newspack-image-upload__controls",
              children: [(0, _jsxRuntime.jsx)(_.Button, {
                disabled: disabled,
                onClick: this.openModal,
                isLink: true,
                children: __('Replace', 'newspack')
              }), (0, _jsxRuntime.jsx)("span", {
                className: "sep"
              }), (0, _jsxRuntime.jsx)(_.Button, {
                disabled: disabled,
                onClick: () => onChange(null),
                isLink: true,
                isDestructive: true,
                children: __('Remove', 'newspack')
              })]
            })]
          }) : (0, _jsxRuntime.jsx)(_.Button, {
            disabled: disabled,
            onClick: this.openModal,
            isLink: true,
            children: buttonLabel ? buttonLabel : __('Upload', 'newspack')
          })
        }), help && (0, _jsxRuntime.jsx)("p", {
          className: "newspack-image-upload__help",
          children: help
        })]
      });
    });
    this.state = {
      frame: false
    };
  }
}
var _default = ImageUpload;
exports.default = _default;