"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
var _react = _interopRequireDefault(require("react"));
var _react2 = require("@testing-library/react");
var _ = _interopRequireDefault(require("./"));
var _jsxRuntime = require("@emotion/react/jsx-runtime");
describe('ImageUpload', () => {
  it('should render an add image button', () => {
    const {
      getByText
    } = (0, _react2.render)((0, _jsxRuntime.jsx)(_.default, {}));
    expect(getByText('Upload')).toBeInTheDocument();
  });
  it('should render replace and remove buttons if there is an image provided', () => {
    const image = {
      id: 1234,
      url: 'https://upload.wikimedia.org/wikipedia/en/a/a9/Example.jpg'
    };
    const {
      getByText,
      getByTestId
    } = (0, _react2.render)((0, _jsxRuntime.jsx)(_.default, {
      image: image
    }));
    expect(getByText('Remove')).toBeInTheDocument();
    expect(getByText('Replace')).toBeInTheDocument();
    expect(getByTestId('image-upload')).toBeInTheDocument();
    expect(getByTestId('image-upload').getAttribute('src')).toEqual(image.url);
  });
});