"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _element = require("@wordpress/element");
var _components = require("@wordpress/components");
var _classnames = _interopRequireDefault(require("classnames"));
require("./style.scss");
var _jsxRuntime = require("@emotion/react/jsx-runtime");
/**
 * Newspack Icon.
 */

/**
 * WordPress dependencies.
 */

/**
 * External dependencies.
 */

/**
 * Internal dependencies.
 */

class NewspackIcon extends _element.Component {
  /**
   * Render
   */
  render() {
    const {
      className,
      simple,
      size,
      white
    } = this.props;
    const classes = (0, _classnames.default)('newspack-icon', simple && 'newspack-icon--simple', white && 'newspack-icon--white', className);
    return (0, _jsxRuntime.jsx)(_components.SVG, {
      xmlns: "http://www.w3.org/2000/svg",
      height: size,
      width: size,
      viewBox: "0 0 32 32",
      className: classes,
      children: (0, _jsxRuntime.jsx)(_components.Path, {
        fillRule: "evenodd",
        clipRule: "evenodd",
        d: "M32 16c0 8.836-7.164 16-16 16-8.837 0-16-7.164-16-16S7.164 0 16 0s16 7.164 16 16zm-10.732.622h1.72v-1.124h-2.823l1.103 1.124zm-3.249-3.31h4.97v-1.124h-6.072l1.102 1.124zm-3.248-3.31h8.217V8.877h-9.32l1.103 1.125zM9.01 8.877l13.977 14.246h-4.66l-5.866-5.98v5.98h-3.45V8.877z"
      })
    });
  }
}
NewspackIcon.defaultProps = {
  size: 32
};
var _default = NewspackIcon;
exports.default = _default;