"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _element = require("@wordpress/element");
var _icons = require("@wordpress/icons");
var _i18n = require("@wordpress/i18n");
require("./style.scss");
var _classnames = _interopRequireDefault(require("classnames"));
var _jsxRuntime = require("@emotion/react/jsx-runtime");
/**
 * Notice
 */
/**
 * WordPress dependencies.
 */
/**
 * Internal dependencies.
 */
const __ = _i18n.__;
/**
 * External dependencies.
 */
class Notice extends _element.Component {
  /**
   * Render
   */
  render() {
    const {
      className,
      debugMode,
      isError,
      isHandoff,
      isHelp,
      isSuccess,
      isWarning,
      noticeText,
      rawHTML,
      style = {},
      children = null
    } = this.props;
    const classes = (0, _classnames.default)('newspack-notice', className, debugMode && 'newspack-notice__is-debug', isError && 'newspack-notice__is-error', isHandoff && 'newspack-notice__is-handoff', isHelp && 'newspack-notice__is-help', isSuccess && 'newspack-notice__is-success', isWarning && 'newspack-notice__is-warning');
    let noticeIcon;
    if (isHelp) {
      noticeIcon = _icons.help;
    } else if (isSuccess) {
      noticeIcon = _icons.check;
    } else if (debugMode) {
      noticeIcon = _icons.bug;
    } else {
      noticeIcon = _icons.info;
    }
    return (0, _jsxRuntime.jsxs)("div", {
      className: classes,
      style: style,
      children: [(0, _jsxRuntime.jsx)(_icons.Icon, {
        icon: noticeIcon
      }), (0, _jsxRuntime.jsxs)("div", {
        className: "newspack-notice__content",
        children: [rawHTML ? (0, _jsxRuntime.jsx)(_element.RawHTML, {
          children: noticeText
        }) : noticeText, debugMode && __('Debug Mode', 'newspack'), children || null]
      })]
    });
  }
}
var _default = Notice;
exports.default = _default;