"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _element = require("@wordpress/element");
require("./style.scss");
var _jsxRuntime = require("@emotion/react/jsx-runtime");
/**
 * Progress Bar
 */

/**
 * WordPress dependencies.
 */

/**
 * Internal dependencies.
 */

class ProgressBar extends _element.Component {
  /**
   * Get completion as a percentage.
   *
   * @param {number} completed The number of steps completed.
   * @param {number} total     The total number of steps.
   * @return {number} completion percentage
   */
  getCompletionPercentage(completed, total) {
    if (!total) {
      return 100;
    }
    return Math.max(Math.min(Math.round(completed / total * 100), 100), 0);
  }

  /**
   * Render.
   */
  render() {
    const {
      label,
      completed,
      total,
      displayFraction
    } = this.props;
    const cleanTotal = Math.max(0, parseInt(total) || 0);
    const cleanCompleted = Math.max(0, Math.min(parseInt(completed) || 0, parseInt(cleanTotal)));
    const barStyle = {
      width: this.getCompletionPercentage(cleanCompleted, cleanTotal) + '%'
    };
    return (0, _jsxRuntime.jsxs)("div", {
      className: "newspack-progress-bar",
      children: [(label || displayFraction) && (0, _jsxRuntime.jsxs)("div", {
        className: "newspack-progress-bar__headings",
        children: [label && (0, _jsxRuntime.jsx)("h2", {
          children: label
        }), displayFraction && (0, _jsxRuntime.jsx)("p", {
          className: "is-dark",
          children: (0, _jsxRuntime.jsxs)("strong", {
            children: [cleanCompleted, "/", cleanTotal]
          })
        })]
      }), (0, _jsxRuntime.jsx)("div", {
        className: "newspack-progress-bar__container",
        children: (0, _jsxRuntime.jsx)("div", {
          className: "newspack-progress-bar__bar",
          style: barStyle,
          "data-testid": "progress-bar-indicator"
        })
      })]
    });
  }
}
var _default = ProgressBar;
exports.default = _default;