"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _element = require("@wordpress/element");
var _ = require("..");
require("./style.scss");
var _classnames = _interopRequireDefault(require("classnames"));
var _jsxRuntime = require("@emotion/react/jsx-runtime");
/**
 * Section Header
 */

/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

/**
 * External dependencies
 */

const SectionHeader = _ref => {
  let {
    centered = false,
    className = null,
    description,
    heading = 2,
    isWhite = false,
    noMargin = false,
    title,
    id = null
  } = _ref;
  // If id is in the URL as a scrollTo param, scroll to it on render.
  const ref = (0, _element.useRef)();
  (0, _element.useEffect)(() => {
    const params = new Proxy(new URLSearchParams(window.location.search), {
      get: (searchParams, prop) => searchParams.get(prop)
    });
    const scrollToId = params.scrollTo;
    if (scrollToId && scrollToId === id) {
      // Let parent scroll action run before running this.
      window.setTimeout(() => ref.current.scrollIntoView({
        behavior: 'smooth'
      }), 250);
    }
  }, []);
  const classes = (0, _classnames.default)('newspack-section-header', centered && 'newspack-section-header--is-centered', isWhite && 'newspack-section-header--is-white', noMargin && 'newspack-section-header--no-margin', className);
  const HeadingTag = `h${heading}`;
  return (0, _jsxRuntime.jsx)("div", {
    id: id,
    ref: ref,
    children: (0, _jsxRuntime.jsxs)(_.Grid, {
      columns: 1,
      gutter: 8,
      className: classes,
      children: [typeof title === 'string' && (0, _jsxRuntime.jsx)(HeadingTag, {
        children: title
      }), typeof title === 'function' && (0, _jsxRuntime.jsx)(HeadingTag, {
        children: title()
      }), typeof description === 'string' && (0, _jsxRuntime.jsx)("p", {
        children: description
      }), typeof description === 'function' && (0, _jsxRuntime.jsx)("p", {
        children: description()
      })]
    })
  });
};
var _default = SectionHeader;
exports.default = _default;