"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _icons = require("@wordpress/icons");
var _components = require("@wordpress/components");
var _ = require("..");
var _jsxRuntime = require("@emotion/react/jsx-runtime");
/**
 * External dependencies
 */

/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

const ButtonGroupControl = _ref => {
  let {
    buttonOptions,
    buttonSmall,
    className,
    hideLabelFromVision,
    label,
    onChange,
    value
  } = _ref;
  const id = _.hooks.useUniqueId('button-group');
  return (0, _jsxRuntime.jsx)(_components.BaseControl, {
    label: label,
    hideLabelFromVision: hideLabelFromVision,
    id: id.current,
    className: (0, _classnames.default)(className, 'components-select-control'),
    children: (0, _jsxRuntime.jsx)(_components.ButtonGroup, {
      children: buttonOptions.map(option => {
        const isSelected = value === option.value;
        let Label = () => option.label;
        if (option.icon) {
          // eslint-disable-next-line react/display-name
          Label = () => (0, _jsxRuntime.jsx)(_icons.Icon, {
            icon: option.icon
          });
        }
        return (0, _jsxRuntime.jsx)(_components.Button, {
          variant: isSelected ? 'primary' : null,
          isPressed: isSelected,
          onClick: () => onChange(option.value),
          isSmall: buttonSmall,
          children: (0, _jsxRuntime.jsx)(Label, {})
        }, option.value);
      })
    })
  });
};
var _default = ButtonGroupControl;
exports.default = _default;