"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = GroupedSelectControl;
var _components = require("@wordpress/components");
var _i18n = require("@wordpress/i18n");
var _icons = require("@wordpress/icons");
var _classnames = _interopRequireDefault(require("classnames"));
var _find = _interopRequireDefault(require("lodash/find"));
var _some = _interopRequireDefault(require("lodash/some"));
var _ = require("..");
var _jsxRuntime = require("@emotion/react/jsx-runtime");
/**
 * WordPress dependencies
 */
const __ = _i18n.__;
/**
 * External dependencies
 */
/**
 * Internal dependencies
 */
/**
 * SelectControl with optgroup support
 */
function GroupedSelectControl(_ref) {
  let {
    help,
    label,
    onChange,
    optgroups = [],
    className,
    hideLabelFromVision,
    ...props
  } = _ref;
  const onChangeValue = event => {
    const {
      value
    } = event.target;
    const optgroup = (0, _find.default)(optgroups, group => (0, _some.default)(group.options, ['value', value]));
    onChange(value, optgroup);
  };
  const id = _.hooks.useUniqueId('group-select');
  return (0, _jsxRuntime.jsx)(_components.BaseControl, {
    label: label,
    hideLabelFromVision: hideLabelFromVision,
    id: id,
    help: help,
    className: (0, _classnames.default)(className, 'components-select-control'),
    children: (0, _jsxRuntime.jsxs)("div", {
      className: "relative",
      children: [(0, _jsxRuntime.jsxs)("select", {
        id: id,
        className: "components-select-control__input",
        onChange: onChangeValue,
        "aria-describedby": !!help ? `${id}__help` : undefined,
        ...props,
        children: [(0, _jsxRuntime.jsx)("option", {
          value: "",
          children: __('-- Select --', 'newspack')
        }), optgroups.map((_ref2, optgroupIndex) => {
          let {
            label: optgroupLabel,
            options
          } = _ref2;
          return (0, _jsxRuntime.jsx)("optgroup", {
            label: optgroupLabel,
            children: options.map((option, optionIndex) => (0, _jsxRuntime.jsx)("option", {
              value: option.value,
              disabled: option.disabled,
              children: option.label
            }, `${option.label}-${option.value}-${optionIndex}`))
          }, optgroupIndex);
        })]
      }), (0, _jsxRuntime.jsx)("div", {
        className: "components-select-control__arrow-wrapper",
        children: (0, _jsxRuntime.jsx)(_icons.Icon, {
          icon: _icons.chevronDown,
          size: 18
        })
      })]
    })
  });
}