"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _i18n = require("@wordpress/i18n");
var _components = require("@wordpress/components");
var _ = require("../");
var _jsxRuntime = require("@emotion/react/jsx-runtime");
/**
 * WordPress dependencies.
 */
const __ = _i18n.__;
/**
 * Internal dependencies.
 */
const MinMaxSetting = _ref => {
  let {
    min,
    max,
    onChangeMin,
    onChangeMax,
    minPlaceholder,
    maxPlaceholder
  } = _ref;
  return (0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [(0, _jsxRuntime.jsxs)("div", {
      className: "newspack-settings__min-max",
      children: [(0, _jsxRuntime.jsx)(_components.CheckboxControl, {
        checked: min > 0,
        onChange: value => onChangeMin(value ? 1 : 0),
        label: __('Min', 'newspack')
      }), (0, _jsxRuntime.jsx)(_.TextControl, {
        "data-testid": "min-articles-input",
        type: "number",
        value: min,
        placeholder: minPlaceholder,
        onChange: value => onChangeMin(value > 0 ? value : 0)
      })]
    }), (0, _jsxRuntime.jsxs)("div", {
      className: "newspack-settings__min-max",
      children: [(0, _jsxRuntime.jsx)(_components.CheckboxControl, {
        checked: max > 0,
        onChange: value => onChangeMax(value ? min || 1 : 0),
        label: __('Max', 'newspack')
      }), (0, _jsxRuntime.jsx)(_.TextControl, {
        type: "number",
        value: max,
        placeholder: maxPlaceholder,
        onChange: value => onChangeMax(value > 0 ? value : 0)
      })]
    })]
  });
};
var _default = MinMaxSetting;
exports.default = _default;