"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _element = require("@wordpress/element");
var _i18n = require("@wordpress/i18n");
var _components = require("@wordpress/components");
var _ = require("../");
require("./style.scss");
var _classnames = _interopRequireDefault(require("classnames"));
var _jsxRuntime = require("@emotion/react/jsx-runtime");
/**
 * Style Card
 */
/**
 * WordPress dependencies.
 */
const __ = _i18n.__;
/**
 * Internal dependencies
 */
/**
 * External dependencies
 */
class StyleCard extends _element.Component {
  /**
   * Render.
   */
  render() {
    const {
      ariaLabel,
      className,
      cardTitle,
      url,
      image,
      imageType,
      isActive,
      onClick,
      id
    } = this.props;
    const classes = (0, _classnames.default)('newspack-style-card', isActive && 'newspack-style-card__is-active', className);
    return (0, _jsxRuntime.jsxs)("div", {
      className: classes,
      id: id,
      children: [(0, _jsxRuntime.jsxs)("div", {
        className: "newspack-style-card__image",
        children: [imageType === 'html' ? (0, _jsxRuntime.jsx)("div", {
          dangerouslySetInnerHTML: image
        }) : (0, _jsxRuntime.jsx)("img", {
          src: image,
          alt: cardTitle + ' ' + __('Thumbnail', 'newspack')
        }), (0, _jsxRuntime.jsxs)("div", {
          className: "newspack-style-card__actions",
          children: [isActive ? (0, _jsxRuntime.jsx)("span", {
            className: "newspack-style-card__actions__badge",
            children: __('Selected', 'newspack')
          }) : (0, _jsxRuntime.jsx)(_components.Button, {
            variant: "link",
            onClick: onClick,
            "aria-label": ariaLabel ? ariaLabel : __('Select', 'newspack') + ' ' + cardTitle,
            tabIndex: "0",
            children: __('Select', 'newspack')
          }), url && (0, _jsxRuntime.jsx)(_.WebPreview, {
            url: url,
            label: __('View Demo', 'newspack'),
            variant: "link"
          })]
        })]
      }), cardTitle && (0, _jsxRuntime.jsx)("div", {
        className: "newspack-style-card__title",
        children: cardTitle
      })]
    });
  }
}
var _default = StyleCard;
exports.default = _default;