"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _findIndex = _interopRequireDefault(require("lodash/findIndex"));
var _router = _interopRequireDefault(require("../proxied-imports/router"));
require("./style.scss");
var _jsxRuntime = require("@emotion/react/jsx-runtime");
/**
 * External dependencies.
 */

/**
 * Internal dependencies.
 */

const {
  NavLink,
  useHistory
} = _router.default;
const TabbedNavigation = _ref => {
  let {
    items,
    className,
    disableUpcoming,
    children = null
  } = _ref;
  const displayedItems = items.filter(item => !item.isHiddenInTabbedNavigation);
  const {
    location
  } = useHistory();
  const currentIndex = (0, _findIndex.default)(displayedItems, ['path', location.pathname]);
  return (0, _jsxRuntime.jsxs)("div", {
    className: (0, _classnames.default)('newspack-tabbed-navigation', className),
    children: [(0, _jsxRuntime.jsx)("ul", {
      children: displayedItems.map((item, index) => (0, _jsxRuntime.jsx)("li", {
        children: (0, _jsxRuntime.jsx)(NavLink, {
          to: item.path,
          isActive: (match, _ref2) => {
            let {
              pathname
            } = _ref2;
            if (item.activeTabPaths) {
              return item.activeTabPaths.includes(pathname);
            }
            return match;
          },
          exact: true,
          activeClassName: 'selected',
          className: (0, _classnames.default)({
            disabled: disableUpcoming && index > currentIndex
          }),
          children: item.label
        })
      }, index))
    }), children]
  });
};
var _default = TabbedNavigation;
exports.default = _default;