"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _components = require("@wordpress/components");
var _element = require("@wordpress/element");
var _i18n = require("@wordpress/i18n");
require("./style.scss");
var _classnames = _interopRequireDefault(require("classnames"));
var _jsxRuntime = require("@emotion/react/jsx-runtime");
/**
 * Text Control
 */
/**
 * WordPress dependencies
 */
/**
 * Internal dependencies
 */
const __ = _i18n.__;
/**
 * External dependencies
 */
class TextControl extends _element.Component {
  constructor(props) {
    super(props);
    this.wrapperRef = (0, _element.createRef)();
  }
  componentDidMount() {
    if (this.wrapperRef.current) {
      const labelEl = this.wrapperRef.current.querySelector('label');
      if (labelEl) {
        labelEl.setAttribute('data-required-text', __('(required)', 'newspack'));
      }
    }
  }
  /**
   * Render.
   */
  render() {
    const {
      className,
      required,
      isWide,
      withMargin = true,
      ...otherProps
    } = this.props;
    const classes = (0, _classnames.default)('newspack-text-control', {
      'newspack-text-control--wide': isWide
    }, {
      'newspack-text-control--with-margin': withMargin
    }, className);
    return required ? (0, _jsxRuntime.jsx)("div", {
      ref: this.wrapperRef,
      className: "newspack-text-control--required",
      children: (0, _jsxRuntime.jsx)(_components.TextControl, {
        className: classes,
        required: required,
        ...otherProps
      })
    }) : (0, _jsxRuntime.jsx)(_components.TextControl, {
      className: classes,
      ...otherProps
    });
  }
}
var _default = TextControl;
exports.default = _default;