"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = withWizardScreen;
var _i18n = require("@wordpress/i18n");
var _icons = require("@wordpress/icons");
var _ = require("../");
var _js = require("../../../shared/js/");
require("./style.scss");
var _classnames = _interopRequireDefault(require("classnames"));
var _jsxRuntime = require("@emotion/react/jsx-runtime");
/**
 * WordPress dependencies.
 */
const __ = _i18n.__;
/**
 * Internal dependencies
 */
/**
 * External dependencies
 */
/**
 * Higher-Order Component to provide plugin management and error handling to Newspack Wizards.
 */
function withWizardScreen(WrappedComponent) {
  let {
    hidePrimaryButton
  } = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  const WrappedWithWizardScreen = props => {
    const {
      className,
      buttonText,
      buttonAction,
      buttonDisabled,
      headerText,
      subHeaderText,
      tabbedNavigation,
      secondaryButtonText,
      secondaryButtonAction,
      renderAboveContent,
      disableUpcomingInTabbedNavigation
    } = props;
    const retrievedButtonProps = (0, _js.buttonProps)(buttonAction);
    const retrievedSecondaryButtonProps = (0, _js.buttonProps)(secondaryButtonAction);
    const SecondaryCTAComponent = retrievedSecondaryButtonProps.plugin ? _.Handoff : _.Button;
    const shouldRenderPrimaryButton = buttonText && buttonAction;
    const shouldRenderSecondaryButton = secondaryButtonText && secondaryButtonAction;
    const renderPrimaryButton = function () {
      let overridingProps = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
      return retrievedButtonProps.plugin ? (0, _jsxRuntime.jsx)(_.Handoff, {
        isPrimary: true,
        ...retrievedButtonProps,
        ...overridingProps,
        children: buttonText
      }) : (0, _jsxRuntime.jsx)(_.Button, {
        isPrimary: !buttonDisabled,
        isSecondary: !!buttonDisabled,
        disabled: buttonDisabled
        // Allow overridingProps to set children.
        // eslint-disable-next-line react/no-children-prop
        ,
        children: buttonText,
        ...retrievedButtonProps,
        ...overridingProps
      });
    };
    return (0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
      children: [newspack_aux_data.is_debug_mode && (0, _jsxRuntime.jsx)(_.Notice, {
        debugMode: true
      }), (0, _jsxRuntime.jsx)("div", {
        className: "newspack-wizard__header",
        children: (0, _jsxRuntime.jsx)("div", {
          className: "newspack-wizard__header__inner",
          children: (0, _jsxRuntime.jsxs)("div", {
            className: "newspack-wizard__title",
            children: [(0, _jsxRuntime.jsx)(_.Button, {
              isLink: true,
              href: newspack_urls.dashboard,
              label: __('Return to Dashboard', 'newspack'),
              showTooltip: true,
              icon: _icons.category,
              iconSize: 36,
              children: (0, _jsxRuntime.jsx)(_.NewspackIcon, {
                size: 36
              })
            }), (0, _jsxRuntime.jsxs)("div", {
              children: [headerText && (0, _jsxRuntime.jsx)("h2", {
                children: headerText
              }), subHeaderText && (0, _jsxRuntime.jsx)("span", {
                children: subHeaderText
              })]
            })]
          })
        })
      }), tabbedNavigation && (0, _jsxRuntime.jsx)(_.TabbedNavigation, {
        disableUpcoming: disableUpcomingInTabbedNavigation,
        items: tabbedNavigation.filter(item => !item.isHiddenInNav)
      }), (0, _jsxRuntime.jsx)(_.HandoffMessage, {}), (0, _jsxRuntime.jsxs)("div", {
        className: (0, _classnames.default)('newspack-wizard newspack-wizard__content', className),
        children: [typeof renderAboveContent === 'function' ? renderAboveContent() : null, (0, _jsxRuntime.jsx)(WrappedComponent, {
          ...props,
          renderPrimaryButton: renderPrimaryButton
        }), (shouldRenderPrimaryButton || shouldRenderSecondaryButton) && (0, _jsxRuntime.jsxs)("div", {
          className: "newspack-buttons-card",
          children: [shouldRenderPrimaryButton && !hidePrimaryButton && renderPrimaryButton(), shouldRenderSecondaryButton && (0, _jsxRuntime.jsx)(SecondaryCTAComponent, {
            isSecondary: true,
            ...retrievedSecondaryButtonProps,
            children: secondaryButtonText
          })]
        })]
      })]
    });
  };
  return WrappedWithWizardScreen;
}