"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _i18n = require("@wordpress/i18n");
var _data = require("@wordpress/data");
var _ = require("../..");
var _store = require("../store");
var _jsxRuntime = require("@emotion/react/jsx-runtime");
/**
 * WordPress dependencies.
 */
const __ = _i18n.__;
/**
 * Internal dependencies.
 */
const parseError = _ref => {
  let {
    data,
    message,
    code
  } = _ref;
  let level = 'fatal';
  if (!!data && 'level' in data) {
    level = data.level;
  } else if ('rest_invalid_param' === code) {
    level = 'notice';
  }
  return {
    message,
    level
  };
};
const WizardError = () => {
  const error = (0, _data.useSelect)(select => select(_store.WIZARD_STORE_NAMESPACE).getError());
  if (!error) {
    return null;
  }
  const {
    level,
    message
  } = parseError(error);
  if ('fatal' === level) {
    const fallbackURL = typeof newspack_urls !== 'undefined' && newspack_urls.dashboard;
    return (0, _jsxRuntime.jsxs)(_.Modal, {
      title: __('Unrecoverable error'),
      onRequestClose: fallbackURL ? () => window.location = fallbackURL : undefined,
      children: [(0, _jsxRuntime.jsx)(_.Notice, {
        noticeText: message,
        isError: true,
        rawHTML: true
      }), fallbackURL && (0, _jsxRuntime.jsx)(_.Card, {
        buttonsCard: true,
        noBorder: true,
        className: "justify-end",
        children: (0, _jsxRuntime.jsx)(_.Button, {
          isPrimary: true,
          href: fallbackURL,
          children: __('Return to Dashboard', 'newspack')
        })
      })]
    });
  }
  return (0, _jsxRuntime.jsx)(_.Notice, {
    isError: true,
    className: "newspack-wizard__above-header",
    noticeText: message,
    rawHTML: true
  });
};
var _default = WizardError;
exports.default = _default;