/**
 * WordPress dependencies
 */
import { useState } from '@wordpress/element';
import { Icon, chevronRight } from '@wordpress/icons';

/**
 * External dependencies
 */
import classNames from 'classnames';

/**
 * Internal dependencies
 */
import './style.scss';
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { jsxs as _jsxs } from "@emotion/react/jsx-runtime";
const Accordion = _ref => {
  let {
    children,
    title
  } = _ref;
  const [isOpen, setIsOpen] = useState(false);
  return _jsxs("details", {
    className: classNames('newspack-accordion', {
      'newspack-accordion--is-open': isOpen
    }),
    children: [_jsxs("summary", {
      onClick: () => setIsOpen(!isOpen),
      children: [title, _jsx(Icon, {
        className: "newspack-accordion__icon",
        icon: chevronRight,
        size: 24
      })]
    }), children]
  });
};
export default Accordion;