/**
 * Button Card
 */

/**
 * WordPress dependencies
 */
import { Component } from '@wordpress/element';
import { Icon, chevronRight } from '@wordpress/icons';

/**
 * Internal dependencies
 */
import { Grid } from '../';
import './style.scss';

/**
 * External dependencies
 */
import classnames from 'classnames';
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { jsxs as _jsxs } from "@emotion/react/jsx-runtime";
class ButtonCard extends Component {
  /**
   * Render
   */
  render() {
    const {
      chevron,
      className,
      desc,
      grouped,
      icon,
      isDestructive,
      isPressed,
      isSmall,
      title,
      ...otherProps
    } = this.props;
    const classes = classnames('newspack-button-card', className, chevron && 'has-chevron', grouped && 'grouped', icon && 'has-icon', isDestructive && 'is-destructive', isPressed && 'is-pressed', isSmall && 'is-small');
    return _jsxs("a", {
      className: classes,
      ...otherProps,
      children: [icon && _jsx(Icon, {
        icon: icon,
        height: 48,
        width: 48
      }), _jsxs(Grid, {
        noMargin: true,
        columns: 1,
        gutter: 8,
        children: [title && _jsx("h3", {
          children: title
        }), desc && _jsx("p", {
          children: desc
        })]
      }), chevron && _jsx(Icon, {
        icon: chevronRight,
        height: 24,
        width: 24
      })]
    });
  }
}
export default ButtonCard;