/**
 * External dependencies.
 */
import { default as ReactDateRangePicker } from 'react-daterange-picker';
import origMoment from 'moment';
import { extendMoment } from 'moment-range';
import 'react-daterange-picker/dist/css/react-calendar.css';

/**
 * Internal dependencies.
 */
import './style.scss';
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
const moment = extendMoment(origMoment);
const DateRangePicker = _ref => {
  let {
    start,
    end,
    onChange
  } = _ref;
  return _jsx(ReactDateRangePicker, {
    value: moment.range(moment(start), moment(end)),
    firstOfWeek: 1,
    onSelect: range => {
      onChange({
        start: range.start._d,
        end: range.end._d
      });
    }
  });
};
export default DateRangePicker;