/**
 * Form Token Field
 */

/**
 * WordPress dependencies.
 */
import { FormTokenField as BaseComponent } from '@wordpress/components';
import { Component } from '@wordpress/element';

/**
 * Internal dependencies.
 */
import './style.scss';

/**
 * External dependencies.
 */
import classnames from 'classnames';
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { jsxs as _jsxs } from "@emotion/react/jsx-runtime";
class FormTokenField extends Component {
  /**
   * Render.
   */
  render() {
    const {
      className,
      description,
      hideHelpFromVision,
      hideLabelFromVision,
      ...otherProps
    } = this.props;
    const classes = classnames('newspack-form-token-field__input-container', className);
    return _jsxs("div", {
      className: classnames({
        'newspack-form-token-field--label-hidden': hideLabelFromVision,
        'newspack-form-token-field--help-hidden': hideHelpFromVision
      }, 'newspack-form-token-field'),
      children: [_jsx(BaseComponent, {
        className: classes,
        ...otherProps
      }), description && _jsx("p", {
        className: "newspack-form-token-field__help",
        children: description
      })]
    });
  }
}
export default FormTokenField;