/**
 * External dependencies
 */
import { parse } from 'qs';

/**
 * Internal dependencies
 */
import { Notice } from '../';
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
const GlobalNotices = () => {
  const notice = parse(window.location.search)['newspack-notice'];
  if (!notice) {
    return null;
  }
  return notice.split(',').map((text, i) => {
    if (text.indexOf('_error_') === 0) {
      return _jsx(Notice, {
        isError: true,
        noticeText: text.replace('_error_', ''),
        rawHTML: true
      }, i);
    }
    return _jsx(Notice, {
      isSuccess: true,
      noticeText: text
    }, i);
  });
};
export default GlobalNotices;