/**
 * Grid
 */

/**
 * WordPress dependencies
 */
import { Component } from '@wordpress/element';

/**
 * Internal dependencies
 */
import './style.scss';

/**
 * External dependencies
 */
import classnames from 'classnames';
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
class Grid extends Component {
  /**
   * Render
   */
  render() {
    const {
      className,
      columns,
      gutter,
      noMargin,
      rowGap,
      ...otherProps
    } = this.props;
    const classes = classnames('newspack-grid', noMargin && 'newspack-grid--no-margin', columns && 'newspack-grid__columns-' + columns, gutter && 'newspack-grid__gutter-' + gutter, rowGap && 'newspack-grid__row-gap-' + rowGap, className);
    return _jsx("div", {
      className: classes,
      ...otherProps
    });
  }
}
Grid.defaultProps = {
  columns: 2,
  gutter: 32,
  rowGap: null
};
export default Grid;