import React from 'react';
import { render } from '@testing-library/react';
import ImageUpload from './';
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
describe('ImageUpload', () => {
  it('should render an add image button', () => {
    const {
      getByText
    } = render(_jsx(ImageUpload, {}));
    expect(getByText('Upload')).toBeInTheDocument();
  });
  it('should render replace and remove buttons if there is an image provided', () => {
    const image = {
      id: 1234,
      url: 'https://upload.wikimedia.org/wikipedia/en/a/a9/Example.jpg'
    };
    const {
      getByText,
      getByTestId
    } = render(_jsx(ImageUpload, {
      image: image
    }));
    expect(getByText('Remove')).toBeInTheDocument();
    expect(getByText('Replace')).toBeInTheDocument();
    expect(getByTestId('image-upload')).toBeInTheDocument();
    expect(getByTestId('image-upload').getAttribute('src')).toEqual(image.url);
  });
});