/**
 * Info Button
 */

/**
 * WordPress dependencies.
 */
import { Component } from '@wordpress/element';
import { Tooltip } from '@wordpress/components';
import { Icon, info } from '@wordpress/icons';

/**
 * External dependencies.
 */
import classnames from 'classnames';

/**
 * Internal dependencies.
 */
import './style.scss';
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
class InfoButton extends Component {
  /**
   * Render.
   */
  render() {
    const {
      className,
      ...otherProps
    } = this.props;
    return _jsx(Tooltip, {
      ...otherProps,
      children: _jsx("span", {
        className: classnames('newspack-info-button', className),
        children: _jsx(Icon, {
          icon: info
        })
      })
    });
  }
}
export default InfoButton;