/**
 * WordPress dependencies.
 */
import { RadioControl as BaseComponent } from '@wordpress/components';
import { Component } from '@wordpress/element';

/**
 * Internal dependencies.
 */
import './style.scss';

/**
 * External dependencies.
 */
import classnames from 'classnames';

/**
 * Radio Control.
 */
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
class RadioControl extends Component {
  /**
   * Render.
   */
  render() {
    const {
      className,
      ...otherProps
    } = this.props;
    const classes = classnames('newspack-radio-control', className);
    return _jsx(BaseComponent, {
      className: classes,
      ...otherProps
    });
  }
}
export default RadioControl;