/**
 * Select Control
 */

/**
 * WordPress dependencies
 */
import { SelectControl as BaseComponent } from '@wordpress/components';
import { Component } from '@wordpress/element';

/**
 * External dependencies
 */
import classNames from 'classnames';

/**
 * Internal dependencies
 */
import './style.scss';
import GroupedSelectControl from './GroupedSelectControl';
import ButtonGroupControl from './ButtonGroupControl';
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
class SelectControl extends Component {
  /**
   * Render.
   */
  render() {
    const {
      className,
      optgroups,
      buttonOptions,
      buttonSmall,
      ...otherProps
    } = this.props;
    const classes = classNames('newspack-select-control', optgroups && 'newspack-grouped-select-control', buttonOptions && 'newspack-buttons-select-control', className);
    return _jsx("div", {
      className: classes,
      children: optgroups ? _jsx(GroupedSelectControl, {
        optgroups: optgroups,
        ...otherProps
      }) : buttonOptions ? _jsx(ButtonGroupControl, {
        buttonOptions: buttonOptions,
        buttonSmall: buttonSmall,
        ...otherProps
      }) : _jsx(BaseComponent, {
        ...otherProps
      })
    });
  }
}
export default SelectControl;