/**
 * WordPress dependencies.
 */
import { __ as alias__ } from '@wordpress/i18n';
const __ = alias__;
import { CheckboxControl } from '@wordpress/components';

/**
 * Internal dependencies.
 */
import { TextControl } from '../';
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { Fragment as _Fragment } from "@emotion/react/jsx-runtime";
const MinMaxSetting = _ref => {
  let {
    min,
    max,
    onChangeMin,
    onChangeMax,
    minPlaceholder,
    maxPlaceholder
  } = _ref;
  return _jsxs(_Fragment, {
    children: [_jsxs("div", {
      className: "newspack-settings__min-max",
      children: [_jsx(CheckboxControl, {
        checked: min > 0,
        onChange: value => onChangeMin(value ? 1 : 0),
        label: __('Min', 'newspack')
      }), _jsx(TextControl, {
        "data-testid": "min-articles-input",
        type: "number",
        value: min,
        placeholder: minPlaceholder,
        onChange: value => onChangeMin(value > 0 ? value : 0)
      })]
    }), _jsxs("div", {
      className: "newspack-settings__min-max",
      children: [_jsx(CheckboxControl, {
        checked: max > 0,
        onChange: value => onChangeMax(value ? min || 1 : 0),
        label: __('Max', 'newspack')
      }), _jsx(TextControl, {
        type: "number",
        value: max,
        placeholder: maxPlaceholder,
        onChange: value => onChangeMax(value > 0 ? value : 0)
      })]
    })]
  });
};
export default MinMaxSetting;