/**
 * External dependencies.
 */
import classnames from 'classnames';

/**
 * Internal dependencies.
 */
import { Grid, ActionCard } from '../';
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
const SettingsCard = _ref => {
  let {
    children,
    className,
    columns,
    gutter,
    noBorder,
    rowGap,
    ...props
  } = _ref;
  const classes = classnames('newspack-settings__card', noBorder && 'newspack-settings__no-border', className);
  return _jsx(ActionCard, {
    ...props,
    className: classes,
    notificationLevel: "info",
    noBorder: noBorder,
    children: _jsx(Grid, {
      columns: columns,
      gutter: gutter,
      rowGap: rowGap,
      children: children
    })
  });
};
SettingsCard.defaultProps = {
  columns: 3,
  gutter: 32
};
export default SettingsCard;