/**
 * Internal dependencies.
 */
import { Grid, InfoButton } from '../';
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { jsxs as _jsxs } from "@emotion/react/jsx-runtime";
const SettingSection = _ref => {
  let {
    title,
    description,
    children
  } = _ref;
  return _jsxs(Grid, {
    columns: 1,
    gutter: 8,
    className: "newspack-settings__section",
    children: [_jsxs("div", {
      className: "newspack-settings__section__title",
      children: [_jsx("span", {
        children: title
      }), description && _jsx(InfoButton, {
        text: description
      })]
    }), _jsx("div", {
      className: "newspack-settings__section__content",
      children: children
    })]
  });
};
export default SettingSection;