/**
 * Steps List Item
 */

/**
 * WordPress dependencies.
 */
import { Component } from '@wordpress/element';

/**
 * Internal dependencies.
 */
import './style.scss';

/**
 * External dependencies.
 */
import classnames from 'classnames';
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { jsxs as _jsxs } from "@emotion/react/jsx-runtime";
class StepsListItem extends Component {
  /**
   * Render
   */
  render() {
    const {
      className,
      listItemCount,
      listItemText,
      style = {}
    } = this.props;
    const classes = classnames('steps-list-item', className);
    return _jsxs("div", {
      className: classes,
      style: style,
      children: [_jsx("div", {
        className: "steps-list-item__number",
        children: listItemCount
      }), _jsx("div", {
        className: "steps-list-item__content",
        dangerouslySetInnerHTML: {
          __html: listItemText
        }
      })]
    });
  }
}
export default StepsListItem;