/**
 * Steps List
 */

/**
 * WordPress dependencies.
 */
import { Component } from '@wordpress/element';

/**
 * Internal dependencies.
 */
import { StepsListItem } from '../';
import './style.scss';

/**
 * External dependencies.
 */
import classnames from 'classnames';
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
class StepsList extends Component {
  /**
   * Render
   */
  render() {
    const {
      className,
      stepsListItems,
      narrowList,
      style = {}
    } = this.props;
    const classes = classnames('steps-list', className, narrowList && 'steps-list__narrow-list');
    return _jsx("div", {
      className: classes,
      style: style,
      children: stepsListItems.map((listItem, index) => _jsx(StepsListItem, {
        listItemCount: index + 1,
        listItemText: listItem
      }, index))
    });
  }
}
export default StepsList;