/**
 * Style Card
 */

/**
 * WordPress dependencies.
 */
import { Component } from '@wordpress/element';
import { __ as alias__ } from '@wordpress/i18n';
const __ = alias__;
import { Button } from '@wordpress/components';

/**
 * Internal dependencies
 */
import { WebPreview } from '../';
import './style.scss';

/**
 * External dependencies
 */
import classnames from 'classnames';
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { jsxs as _jsxs } from "@emotion/react/jsx-runtime";
class StyleCard extends Component {
  /**
   * Render.
   */
  render() {
    const {
      ariaLabel,
      className,
      cardTitle,
      url,
      image,
      imageType,
      isActive,
      onClick,
      id
    } = this.props;
    const classes = classnames('newspack-style-card', isActive && 'newspack-style-card__is-active', className);
    return _jsxs("div", {
      className: classes,
      id: id,
      children: [_jsxs("div", {
        className: "newspack-style-card__image",
        children: [imageType === 'html' ? _jsx("div", {
          dangerouslySetInnerHTML: image
        }) : _jsx("img", {
          src: image,
          alt: cardTitle + ' ' + __('Thumbnail', 'newspack')
        }), _jsxs("div", {
          className: "newspack-style-card__actions",
          children: [isActive ? _jsx("span", {
            className: "newspack-style-card__actions__badge",
            children: __('Selected', 'newspack')
          }) : _jsx(Button, {
            variant: "link",
            onClick: onClick,
            "aria-label": ariaLabel ? ariaLabel : __('Select', 'newspack') + ' ' + cardTitle,
            tabIndex: "0",
            children: __('Select', 'newspack')
          }), url && _jsx(WebPreview, {
            url: url,
            label: __('View Demo', 'newspack'),
            variant: "link"
          })]
        })]
      }), cardTitle && _jsx("div", {
        className: "newspack-style-card__title",
        children: cardTitle
      })]
    });
  }
}
export default StyleCard;