/**
 * WordPress dependencies.
 */
import { ENTER } from '@wordpress/keycodes';
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
const InteractiveDiv = _ref => {
  let {
    style = {},
    ...props
  } = _ref;
  return _jsx("div", {
    tabIndex: "0",
    role: "button",
    onKeyDown: event => ENTER === event.keyCode && props.onClick(),
    style: {
      cursor: 'pointer',
      ...style
    },
    ...props
  });
};
const confirmAction = message => {
  // eslint-disable-next-line no-alert
  if (confirm(message)) {
    return true;
  }
  return false;
};
export default {
  InteractiveDiv,
  confirmAction
};