/**
 * Waiting
 */

/**
 * WordPress dependencies.
 */
import { Component } from '@wordpress/element';
import { Spinner } from '@wordpress/components';

/**
 * Internal dependencies.
 */
import './style.scss';

/**
 * External dependencies.
 */
import classnames from 'classnames';
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
class Waiting extends Component {
  /**
   * Render
   */
  render() {
    const {
      className,
      isRight,
      isLeft,
      isCenter,
      ...otherProps
    } = this.props;
    const classes = classnames('newspack-waiting', className, {
      'is-right': isRight,
      'is-left': isLeft,
      'is-center': isCenter
    });
    return _jsx(Spinner, {
      className: classes,
      ...otherProps
    });
  }
}
export default Waiting;