/**
 * WordPress dependencies.
 */
import { useSelect } from '@wordpress/data';

/**
 * Internal dependencies
 */
import { WIZARD_STORE_NAMESPACE } from '.';
export const createAction = type => payload => ({
  type,
  payload
});
export const useWizardData = function (wizardName) {
  let defaultValue = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  return useSelect(select => select(WIZARD_STORE_NAMESPACE).getWizardAPIData(`newspack-${wizardName}-wizard`)) || defaultValue;
};